summaryrefslogtreecommitdiffstats
path: root/apps/patchwork/bin/parsemail-batch.sh
diff options
context:
space:
mode:
Diffstat (limited to 'apps/patchwork/bin/parsemail-batch.sh')
-rw-r--r--apps/patchwork/bin/parsemail-batch.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/apps/patchwork/bin/parsemail-batch.sh b/apps/patchwork/bin/parsemail-batch.sh
new file mode 100644
index 0000000..dbf81cc
--- /dev/null
+++ b/apps/patchwork/bin/parsemail-batch.sh
@@ -0,0 +1,49 @@
+#!/bin/sh
+#
+# Patchwork - automated patch tracking system
+# Copyright (C) 2008 Jeremy Kerr <jk@ozlabs.org>
+#
+# This file is part of the Patchwork package.
+#
+# Patchwork is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# Patchwork is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Patchwork; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+
+PATCHWORK_BASE="/srv/patchwork"
+
+if $# -ne 2
+then
+ echo "usage: $0 <dir>" >&2
+ exit 1
+fi
+
+mail_dir="$1"
+
+if ! -d "$mail_dir"
+then
+ echo "$mail_dir should be a directory"?&2
+ exit 1
+fi
+
+ls -1rt "$mail_dir" |
+while read line;
+do
+ echo $line
+ PYTHONPATH="$PATCHWORK_BASE/apps":"$PATCHWORK_BASE/lib/python" \
+ DJANGO_SETTINGS_MODULE=settings \
+ "$PATCHWORK_BASE/apps/patchworkbin/parsemail.py" <
+ "$mail_dir/$line"
+done
+
+
+